Skip to main content
PUT
/
2025-04
/
retail-media
/
preferred-line-items
/
{line-item-id}
/
targeting
/
add-to-basket
/2025-04/retail-media/preferred-line-items/{line-item-id}/targeting/add-to-basket
curl --request PUT \
  --url https://api.criteo.com/2025-04/retail-media/preferred-line-items/{line-item-id}/targeting/add-to-basket \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/2025-04/retail-media/preferred-line-items/{line-item-id}/targeting/add-to-basket"

payload = { "data": { "type": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {type: '<string>'}})
};

fetch('https://api.criteo.com/2025-04/retail-media/preferred-line-items/{line-item-id}/targeting/add-to-basket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "attributes": {
      "categoryIds": [
        "<string>"
      ],
      "productIds": [
        "<string>"
      ]
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

line-item-id
string
required

The line item to interact with

Body

application/json

The add to basket target to set the scope for

Data model for a value type input resource

data
object

Data model for a value type resource

Response

200 - application/json

Success

Data model for a value type resource outcome

data
object

Data model for a value type resource

errors
object[]
read-only
warnings
object[]
read-only